=== debian/changelog ===
netpbm-free (2:11.12.00-1) unstable; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Sep 2025 13:55:23 +0200
