## netpbm-free 11.13.00

=== debian/changelog ===
netpbm-free (2:11.13.00-3) unstable; urgency=medium

  * Fix typo in CFLAGS (should read -fno-schedule-insns2)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Jan 2026 18:29:39 +0100

netpbm-free (2:11.13.00-2) unstable; urgency=medium

  * Use -fnoschedule-insns2 instead of -fschedule-insns on arm*. This fixes
    armhf, too.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Jan 2026 16:55:54 +0100

netpbm-free (2:11.13.00-1) experimental; urgency=medium

  * Work around #1119850 by building with -fschedule-insns on arm*
  * Revert change to watchfile "also hardcode version in component."
    This broke again, lets use a syntax that works on bookworm.
    This reverts commit 8fc7fcb4688c14ddb844344a33e0db3ab9be66e9.
  * rerun debian/updatewatchfile
  * New upstream version 11.13.00

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Jan 2026 13:53:16 +0100
