## netpbm-free 11.13.03

=== debian/changelog ===
netpbm-free (2:11.13.03-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 15 Feb 2026 07:41:04 +0100
